---
layout: page
title: Syllabus
permalink: /
---

# Programmieren für Historiker:innen II – Geistliche Karrieren im Alten Reich mit Linked Open Data erforschen (Python-Aufbaukurs)

<details>
    <summary>Inhaltsverzeichnis</summary>
    <p>
        * Table of Contents
        {:toc}
    </p>
</details>

## Allgemeine Informationen

### Kontakt der Ansprechperson

[Philipp Schneider](mailto:philipp.schneider1@hu-berlin.de) (philipp.schneider.1@hu-berlin.de)

### Betreuung und Kommunikation

* Allgemeine Sprechstunde: max. 30 min ([Anmeldung](https://cal.com/philipp-schneider/sprechstunde))
* Code-Sprechstunde für Unterstützung bei konkreten Aufgaben: 45 min ([Anmeldung](https://cal.com/philipp-schneider/code-sprechstunde))
* Email

### Beteiligte Institutionen

* [Professur für Digital History](https://www.geschichte.hu-berlin.de/de/bereiche-und-lehrstuehle/digital-history)

### Ressourcen zum Kurs

* Moodle-Kurs
* GitLab-Repository
* [Jupyter Book](https://digital-history-berlin.github.io/Python-fuer-Historiker-innen/home.html) 

## Formale Informationen

* Programmieren für Historiker:innen II – Geistliche Karrieren im Alten Reich mit Linked Open Data erforschen (Python-Aufbaukurs) – 51473
* Übung
* Donnerstag: 12-14 Uhr
* Präsenz (mit Möglichkeit für hybride Lehre in Ausnahmefällen)
* Ort: Dorotheenstraße 26, Raum 117 (Flexpool)
* Beginn: 17. April 2025

### Kommentartext
Daten werden in den Geschichtswissenschaften zunehmend als Forschungsressource relevant. Gleich ob sich geschichtswissenschaftliche Fragestellungen auf das Mittelalter oder die jüngste Zeitgeschichte beziehen, Programmierkenntnisse können auf vielfältige Weise das historische Arbeiten ergänzen, um sich die digital verfügbaren Informationen zunutze zu machen. Dabei werden Daten, die in Forschungs- und Editionsprojekten entstehen, immer öfter als _Linked Open Data_ zur Verfügung gestellt. Hierbei werden Daten auf eine bestimmte Weise repräsentiert, sodass sie leichter mit anderen Beständen kontextualisiert und so Wissen relativ komplex modelliert werden kann.

Doch wie können wir uns solche Daten in der historischen Forschung zunutze machen? In der Übung werden hierfür entsprechende Methoden vermittelt. Hierzu arbeiten wir mit Datensätzen der _Germania Sacra_ zu Karrieren hochrangiger Geistlicher im Alten Reich. Am Beispiel der Arbeit mit diesem Quellenkorpus werden Sie in der Übung lernen, in der Praxis mit RDF-Daten umzugehen, sie abzufragen (SPARQL) und mit verschiedenen Methoden zu analysieren. Hierzu werden Sie, geleitet von konkreten geschichtswissenschaftlichen Forschungsfragen, kleinere Daten- und Code-getriebene Projekte entwickeln. Die Grundlagen für diese spezielle Form des wissenschaftlichen Arbeitens werden Ihnen in der Übung ebenfalls vermittelt – hierzu zählen neben fortgeschrittenen Programmierkenntnissen in Python (insbesondere zum Umgang mit RDF und SPARQL) auch die Handhabe von Versionsverwaltung, Projektmanagement, sowie Methoden zur Auswertung stukturierter Daten. Die Übung soll Ihnen so das grundlegende Handswerkszeug geben, später eigene Daten- und Code-getriebene Projekte durchzuführen – seien dies Seminararbeiten im fortgeschrittenen Master oder Abschlussarbeiten in Digital History.

Für die erfolgreiche Teilnahme an der Übung werden grundlegende Kenntnisse der Programmierung in Python unbedingt vorausgesetzt. Folgende Inhalte sollten Ihnen vertraut sein: grundlegende Datentypen (Strings, Integers, Float, Listen, Dictionaries), bedingte Anweisungen und Schleifen, Arbeit mit Funktionen, externen Libraries und Dateien. Vorkenntnisse in mittelalterlicher Kirchengeschichte sind für den Besuch der Übung nicht erforderlich.

#### Literatur:

* Melanie Althage, Martin Dröge, Torsten Hiltmann, Philipp Schneider, Python für Historiker:innen. Ein anwendungsorientierter und interaktiver Einstieg, 20.07.2022, Jupyter Book, (v1.0), URL: [https://digital-history-berlin.github.io/Python-fuer-Historiker-innen/home.html](https://digital-history-berlin.github.io/Python-fuer-Historiker-innen/home.html)
* Blaney, Jonathan. „Introduction to the Principles of Linked Open Data“. Programming Historian, 7. Mai 2017. [https://programminghistorian.org/en/lessons/intro-to-linked-data](https://programminghistorian.org/en/lessons/intro-to-linked-data).
* Ernest, Johannes / Kaiser, Peter, Python 3. Das umfassende Handbuch, Rheinwerk Open Book, Rheinwerk Computing :: Python 3 - Einleitung
* Hitzler, Pascal, Markus Krötzsch, Sebastian Rudolph, und York Sure. Semantic Web: Grundlagen. Berlin, Heidelberg: Springer-Verlag Berlin Heidelberg, 2008. [http://resolver.scholarsportal.info/isbn/9783540339946](http://resolver.scholarsportal.info/isbn/9783540339946).
* Hogan, Aidan. The Web of Data, 2020. [https://doi.org/10.1007/978-3-030-51580-5](https://doi.org/10.1007/978-3-030-51580-5).
* Karsdorp, Folgert, Mike Kestemont, und Allen Riddell. Humanities Data Analysis : Case Studies with Python. Princeton: Princeon, 2021. [https://www.humanitiesdataanalysis.org/](https://www.humanitiesdataanalysis.org/).
* WIAG-Logo Wissensaggregator Mittelalter und Frühe Neuzeit, URL: [https://wiag-vocab.adw-goe.de/](https://wiag-vocab.adw-goe.de/)

### Präsenztermine

* 15 Termine á 1,5 Std.
* Präsenzzeit: 25 Stunden
* Selbstlernzeit: 65 Stunden für die Vor- und Nachbereitung der LV und der speziellen Arbeitsleistung
* Gesamt: 90 Stunden

([nach Modulbeschreibung M-02 Methodik und Theorie](https://www.geschichte.hu-berlin.de/de/lehre-und-studium/studiengaenge-und-studienordnungen-1/ma/ma-geschichtswissenschaften/stpo/SPO_MA_Geschichtswissenschaften_2018-03.pdf))

### Sprache des Lernangebots

Deutsch

## Inhaltlich-thematische Zuordnung

### Thematischer Inhalt
Erlernen von Python sowie Nutzungsmöglichkeiten von Linked Open Data (RDF & SPARQL) für den Einsatz in der Geschichtswissenschaft in eigenen kleinen datengetriebenen Forschungsprojekten am Beispiel von Daten der [Germania Sacra](https://wiag-vocab.adw-goe.de/)

### Formal laut Modulbeschreibung M-19 Geschichte als Praxis
Praktisch ausgerichtete Übung und Exkursion zu möglichen Berufsfeldern

Erkundung möglicher Berufsfelder oder praktische Tätigkeiten einer Historikerin bzw. eines Historikers im Rahmen des Studiums. z.B. EDV-Erfahrungen, Kommunikations- und Medienkompetenzen, Präsentationstechniken, Moderationstechniken und weitere Anwendungsmöglichkeiten historischer Theorien, Methoden und Techniken

### Curriculare Verankerung des Lernangebots
[Siehe den Strukturbaum bei AGNES](https://agnes.hu-berlin.de/lupo/rds?state=verpublish&status=init&vmfile=no&publishid=231234&moduleCall=webInfo&publishConfFile=webInfo&publishSubDir=veranstaltung)

## Art des Leistungsnachweises
Laut [Anlage 2 der Studienordnung](https://www.geschichte.hu-berlin.de/de/lehre-und-studium/studiengaenge-und-studienordnungen-1/ma/ma-geschichtswissenschaften/stpo/SPO_MA_Geschichtswissenschaften_2018-03.pdf) sind verschiedene Optionen für einen Leistungsnachweis möglich.

* schriftliche Ausarbeitungen (je ca. 10 Seiten/25.000 Zeichen inkl. Leerzeichen)

Für die Übung _Programmieren für Historiker:innen II – Geistliche Karrieren im Alten Reich mit Linked Open Data erforschen (Python-Aufbaukurs)_ erfolgt der Leistungsnachweis über einen Computational Essay, der in Umfang und Art und Weise dem Portfolio entspricht. Der Computational Essay wird als Jupyter Notebook eingereicht. Er umfasst die Bearbeitung einer geschichtswissenschaftlichen Fragestellung, die mit einer selbst gewählten digitalen Methode im Rahmen eines Programmierprojekts bearbeitet wird.

### zu erlangende ECTS

2-3 LP

### Studienleistung (unbenotet)

Die Punkte für die Studienleistung setzen sich auf die folgende Weise zusammen:

Teilnahme und Mitarbeit macht 1 LP aus
* Abgabe aller Hausaufgaben
* Programmierprojekt: Bearbeitung eines Datensatzes mit selbst gewählter Methode im Rahmen einer geschichtswissenschaftlichen Fragestellung

\+ 1 LP (insgesamt 2 LP):
* Durchführung und Abschluss eines kleinen Programmierprojekts und Anfertigen eines Computational Essays zum Projekt
    * Umfang nach Prüfungsordnung: ca. 60% Text, 40% Code
    * Beispiel im Modul Methodik und Theorie: ca. 12.500 Zeichen, davon ca. 8.500 Zeichen Text und ca. 3.000 Zeichen Code
* ODER: Durchführung eines kleinen Programmierprojekts und dessen Vorstellung in einem Referat (ca. 10 Minuten) mit Schwerpunkt auf Methodenkritik

\+ 2 LP (insgesamt 3LP):
* Durchführung und Abschluss eines kleinen Programmierprojekts und Anfertigen eines Computational Essays zum Projekt
    * Umfang nach Prüfungsordnungca. 60% Text, 40% Code; genauer Umfang nach Prüfungsordnung
    * Beispiel im Modul Methodik und Theorie: ca. 25.000 Zeichen, davon ca. 19.000 Zeichen Text und ca. 6.500 Zeichen Code
* ODER: Durchführung eines kleinen Programmierprojekts und dessen Vorstellung in einem Referat (ca. 15 Minuten) mit Schwerpunkt auf Methodenkritik

* Es gelten die üblichen Vorgaben zu wissenschaftlichem Arbeiten, auch hinsichtlich Rechtschreibung, Literatur- und Quellenangaben sowie Anmerkungsapparat

### Modulabschlussprüfung (benotet)

Für eine Modulabschlussprüfung (2LP) in den Modulen *Methodik und Theorie* oder *Geschichte als Praxis* ist **zusätzlich** zur unbenoteten Studienleistung noch folgende Leistung zu erfüllen:

**Computational Essay**
* Durchführung und Abschluss eines kleinen Programmierprojekts und Anfertigen eines Computational Essays zum Projekt (ca. 60% Text, 40% Code)
    * Beispiel im Modul Methodik und Theorie: ca. 25.000 Zeichen, davon ca. 19.000 Zeichen Text und ca. 6.500 Zeichen Code
* Bearbeitung einer geschichtswissenschaftlichen Fragestellung eines Datensatzes mit selbst gewählter Methode
* Es gelten die üblichen Vorgaben zu wissenschaftlichem Arbeiten, auch hinsichtlich Rechtschreibung, Literatur- und Quellenangaben sowie Anmerkungsapparat

## Adressierte Zielgruppe

Masterstudierende im Master-Schwerpunkt Digital History, die im 2. Semester des Masterstudiums stehen.
Zunächst richtet sich das Angebot an Studierende der des Master-Schwerpunkts Digital History, aber ebenso zählen Studierende anderer geisteswissenschaftlicher Fächer zur Zielgruppe.

## Vorwissen der Zielgruppe

Für die erfolgreiche Teilnahme an der Übung werden grundlegende Kenntnisse der Programmierung in Python vorausgesetzt. Folgende Inhalte sollten Ihnen vertraut sein: grundlegende Datentypen (Strings, Integers, Float, Listen, Dictionaries), bedingte Anweisungen und Schleifen, Arbeit mit Funktionen, externen Libraries und Dateien.

### Heterogenität der Zielgruppe

* Zwar werden grundlegende Programmierkenntnisse erwartet, aber durchaus könnten einzelne Studierende weiterführendes Vorwissen mitbringen.
* Unterschiedliche Kenntnisstände im Bereich Data Literacy sind zu erwarten.
* Unterschiedliche Vertrautheit im Umgang mit dem Computer ist zu erwarten.
* Im Bereich Lernpräferenzen ist davon auszugehen, dass es unterschiedliche Lerntypen geben wird. Zudem werden ggf. unterschiedliche Lernmedien präferiert werden: Text/Lehrbuch, Lernvideos/Tutorials, Unterrichtsgespräch.

### Anzahl der Lernenden

zwischen 20 und 30

## Lernergebnisse und Kompetenzen

* Welche Lernergebnisse (learning outcomes) sind mit dem Lernangebot intendiert?
* Welche konkreten Kompetenzen sollen Lernende auf welchem Niveau im Rahmen des Lernangebots entwickeln?

### Learning Outcomes
Die Übung führt in weiterführende Konzepte der Programmierung mit Python ein. Dazu gehören u.a. einfache Datenanalysen, Datenvisualisierung und die Nutzung von APIs. Zudem werden grundlegende Kenntnisse in RDF und SPARQL vermittelt, die eine datengetriebene Nutzung von Linked (Open) Data Ressourcen erlauben sollen. Daneben werden grundlegende Kompetenzen in der code-getriebenen Projektarbeit vermittelt (z.B. Forschungsdatenorganisation, Versionierung). Die Studierenden erlernen anhand eigener geschichtswissenschaftlicher Fragestellungen, kleinere code-basierte Projekte selbstständig umzusetzen.

**Lernziele**:
Die Studierenden sind in der Lage:
* einfache Datenanalysen und Datenvisualisierungen mit Python durchzuführen, um Forschungsfragen aus dem Bereich der Geschichtswissenschaft zu beantworten.
* grundlegende Konzepte der Programmierung wie APIs, Datenorganisation und Versionierung zu verstehen und können diese in code-basierten Projekten anwenden.
* Forschungsdaten zu analysieren und zu interpretieren, um historische Zusammenhänge zu erkennen und zu erklären.
* die Ergebnisse ihrer Forschung kritisch zu bewerten und zu reflektieren, um ihre eigenen Arbeitsmethoden zu verbessern.
* ihre eigenen Ideen in code-basierten Projekten umzusetzen, indem sie verschiedene Programmierkonzepte und Techniken anwenden und ihre Arbeit dokumentieren und versionieren
* in RDF strukturierte Daten verstehen und nutzen können
* mit SPARQL eigene Abfragen zur Weiternutzung von RDF-Daten in eigenen datengetriebenen Projekten schreiben können

### Angestrebte Kompetenzen und Kompetenzniveaus

**Fachliche Kompetenzen**
* grundlegenden Python-Code selbstständig entwickeln, verfassen und als Teil eines Projekts verwalten
* grundlegenden und komplexen Python-Code lesen und verstehen
* geschichtswissenschaftliche Fragestellungen datenorientiert und code-basiert umsetzen
* einfache Abfragen in SPARQL schreiben

**Soziale Kompetenzen**
* Zusammenarbeit und Austausch beim Erstellen von Python-Code
* Frustrationstoleranz bei Fehlern und fehlerhaften Code

## Didaktisches Konzept

## Lern-/Lehrmethoden

* Projektarbeit
* Unterrichtsgespräch mit Präsentationen
* Hands-On Coden in Präsenz in Jupyter Notebooks
* Pair Programming
* Gruppenarbeitsphasen
* Einzelarbeitsphasen
* selbstständige Bearbeitung von Aufgaben in Jupyter Notebooks im Selbstlernen

### Individualisierung

* Es ist nicht vorgesehen, Lerninhalte / Lernwege zu individualisieren
* Zusatz-Aufgaben und Zusatz-Übungen könnten gestellt werden
* Fortgeschrittene Studierende können als Tandem-Partner eingeteilt werden

### Individuelles Feedback 

* Feedback zu den Projektpräsentationen und Zwischenberichten
* Feedback in vereinbarter Sprechstunde möglich

# Sitzungsübersicht

[Sitzungsplan](/digital-history/lehre/sose2025-python-2/syllabus-uebung-python-2/sitzungsplan/)